> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List alert rules

List all alert rules for the current organization and environment.

` GET /alert-rules `

List alert rules

List all alert rules for the current organization and environment.

## Servers

- ` https://hookstream.io/v1 ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key (format: hs_live_<64hex> or hs_test_<64hex>)

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie (browser auth)

## Responses

### ` 200 ` — Alert rules list

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` alert_rules `

  - ` alert_rules `: type ` array `

    - ` array item `: type ` object `; nullable

      - Required fields: ` id `, ` org_id `, ` env_id `, ` name `, ` description `, ` enabled `, ` rule_type `, ` rule_config `, ` source_id `, ` destination_id `, ` channel_ids `, ` cooldown_minutes `, ` last_triggered_at `, ` trigger_count `, ` created_at `, ` updated_at `

      - ` id `: type ` string `

      - ` org_id `: type ` string `

      - ` env_id `: type ` string `

      - ` name `: type ` string `

      - ` description `: type ` string `; nullable

      - ` enabled `: type ` integer `

      - ` rule_type `: type ` string `

      - ` rule_config `: type ` string `

      - ` source_id `: type ` string `; nullable

      - ` destination_id `: type ` string `; nullable

      - ` channel_ids `: type ` string `

      - ` cooldown_minutes `: type ` integer `

      - ` last_triggered_at `: type ` string `; nullable

      - ` trigger_count `: type ` integer `

      - ` created_at `: type ` string `

      - ` updated_at `: type ` string `

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

## Request examples

### cURL

```curl
curl -X GET 'https://hookstream.io/v1/alert-rules' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://hookstream.io/v1/alert-rules', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/alert-rules', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/alert-rules", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```